%{?nodejs_find_provides_and_requires}

%global packagename inherit
%global enable_tests 1

Name:		nodejs-inherit
Version:	2.2.3
Release:	2%{?dist}
Summary:	Inheritance module for Node.js and browsers

License:	MIT
URL:		http://github.com/dfilatov/node-inherit.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(nodeunit)
%endif

%description
Inheritance module for Node.js and browsers


%prep
%setup -q -n package
%nodejs_fixdep nodeunit '^0.9.1'

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/nodeunit test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 11 2016 Jared Smith <jsmith@fedoraproject.org> - 2.2.3-1
- Update to upstream 2.2.3 release

* Mon Dec 14 2015 Jared Smith <jsmith@fedoraproject.org> - 2.2.2-2
- Initial packaging
